diff -Nru uswsusp-1.0/debian/changelog uswsusp-1.0+20110509/debian/changelog
--- uswsusp-1.0/debian/changelog	2011-04-30 12:17:32.000000000 +0200
+++ uswsusp-1.0+20110509/debian/changelog	2011-11-18 20:20:10.000000000 +0100
@@ -1,3 +1,64 @@
+uswsusp (1.0+20110509-2ubuntu1) precise; urgency=low
+
+  * Merge from debian unstable (LP: #892306).  Remaining changes:
+    - debian/rules: 
+      + Remove the SPLASHY_LIBS piece, it's useless since the splashy support
+        has been disabled
+
+ -- Leo Iannacone <l3on@ubuntu.com>  Fri, 18 Nov 2011 12:11:05 +0000
+
+uswsusp (1.0+20110509-2) unstable; urgency=low
+
+  [ Rodolfo García Peñas (kix) ]
+  * In the version 1.0-1 the uswsusp uses KMS and follow the kernel
+    [Closes: #500794] 
+  * Machine support using whitelist finished in version 1.0-1
+    [Closes: #520848, #518369, #498195, #497848, #526938, #509635]
+    [Closes: #495436, #497842, #591066, #402365, #498917, #521147]
+    [Closes: #541135, #530389, #574874]
+  * In version 1.0-2: Corrected the doble quote in the uswsusp hook
+    [Closes: #604427]
+  * All debian/patches includes now description. DEP-3
+  * Debian standard version is now 3.9.2
+  * Debian changelog is now DEP-5
+
+ -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 25 Sep 2011 16:17:13 +0200
+
+uswsusp (1.0+20110509-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix pending l10n issues. Debconf translations:
+    - Vietnamese (Clytie Siddall).  Closes: #601560
+    - Dutch (willem kuyn).  Closes: #622914
+    - Danish (Joe Hansen).  Closes: #624659
+
+ -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jul 2011 12:29:35 +0200
+
+uswsusp (1.0+20110509-1) unstable; urgency=low
+
+  [ Rodolfo García Peñas (kix) ]
+  * New upstream version from git
+  * Now the postinst script checks if /dev/MAKEDEV exists [Closes: #522707]
+  * The uswsusp.postinst file writes correctly the conf file [Closes: #524301]
+  * Added "shutdown_method" in the NOTQ in uswsusp.config. 
+    Is included in the 0.7 version, but not in 0.8. [Closes: #503337]
+
+ -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 9 May 2011 00:04:43 +0200
+
+uswsusp (1.0-2) unstable; urgency=low
+
+  [ Rodolfo García Peñas (kix) ]
+  * Patch for vt when not needed [Closes: #530713]
+  * Corrected some spelling problems [Closes: #609418, #518636]
+  * Vietnamese debconf template update [Closes: #601560]
+  * The orig file includes the wlcsv2c.pl file (needed to make)
+  * s2ram --force compatibility with PPC platform [Closes: #523552]
+  * Corrected the doble quote in the uswsusp hook [Closes: #606732, #600572]
+  * The bug #525001 was solved previously [Closes: #525001]
+  * Added the > character in the uswsusp.conf file [Closes: #539116]
+
+ -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 18 Mar 2011 20:39:03 +0100
+
 uswsusp (1.0-1ubuntu1) oneiric; urgency=low
 
   * Merge from debian unstable, remaining changes:
@@ -454,3 +515,4 @@
     are alternatives in debian.
 
  -- Tim Dijkstra <tim@famdijkstra.org>  Fri, 30 Jun 2006 09:38:19 +0200
+
diff -Nru uswsusp-1.0/debian/control uswsusp-1.0+20110509/debian/control
--- uswsusp-1.0/debian/control	2011-04-30 12:02:49.000000000 +0200
+++ uswsusp-1.0+20110509/debian/control	2011-11-18 20:15:46.000000000 +0100
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Tim Dijkstra <tim@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Rodolfo García Peñas (kix) <kix@kix.es>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, autotools-dev, quilt, liblzo2-dev, libgcrypt11-dev, docbook2x
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xsl, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, autotools-dev, liblzo2-dev, libgcrypt11-dev, docbook2x
+Standards-Version: 3.9.2
 Homepage: http://suspend.sourceforge.net/
 
 Package: uswsusp
diff -Nru uswsusp-1.0/debian/copyright uswsusp-1.0+20110509/debian/copyright
--- uswsusp-1.0/debian/copyright	2011-03-14 03:16:45.000000000 +0100
+++ uswsusp-1.0+20110509/debian/copyright	2011-09-25 17:40:56.000000000 +0200
@@ -1,164 +1,86 @@
-This work was packaged for Debian by:
-
-    Rodolfo García Peñas (kix) <kix@kix.es> on Sun, 05 Sep 2010 12:15:47 +0200
-
-It was downloaded from:
-
-    http://git.kernel.org/?p=linux/kernel/git/rafael/suspend-utils.git
-
-Upstream Author(s):
-
-    Copyright (C) 2005 Rafael J. Wysocki <rjw@sisk.pl>
-    Copyright (C) 2006 Pavel Machek <pavel@suse.cz>
-
-Copyright:
-
-    Copyright (C) 2005 Rafael J. Wysocki <rjw@sisk.pl>
-    Copyright (C) 2006 Pavel Machek <pavel@suse.cz>
-
-License:
-
-    uswsusp is released under the terms of the GNU General Public License
-    version 2. see '/usr/share/common-licenses/GPL-2'
-
-The Debian packaging is:
-
-    Copyright is (C) 2006, Tim Dijkstra <tim@famdijkstra.org> and
-    is licensed under the GPL, see `/usr/share/common-licenses/GPL-2'.
-    Copyright (C) 2010 Rodolfo García Peñas (kix) <kix@kix.es> and
-    is licensed under the GPL version 2, see "/usr/share/common-licenses/GPL-2".
-
-It includes the file radeontool.c
-
-    Radeontool   v1.4
-    by Frederick Dean <software@fdd.com>
-    Copyright 2002-2004 Frederick Dean
-    Use hereby granted under the zlib license.
-
-It includes the source of vbetool-0.5-1. Copyright:
-
-    Copyright Matthew Garrett <mjg59@srcf.ucam.org>, heavily based on
-    vbetest.c from the lrmi package and read-edid.c by John Fremlin
-
-    This program is released under the terms of the GNU General Public License,
-    version 2
-
-    Upstream Author: Matthew Garrett <mjg59@srcf.ucam.org>
-
-    License:
-
-    vbetool is released under the terms of the GNU General Public License
-    version 2
-
-It includes the bootsplash method. Copyright:
-
-    Copyright (C) 2006 Holger Macht <holger@homac.de>
-    This file is released under the GPLv2.
-
-It includes the DMI decoder for s2ram.
-
-    DMI decoder for s2ram.
-    (C) 2000,2001 Alan Cox <alan@redhat.com>
-
-    2-July-2001 Matt Domsch <Matt_Domsch@dell.com>
-    Additional structures displayed per SMBIOS 2.3.1 spec
-
-    (C) 2006 Pavel Machek <pavel@suse.cz>
-    Licensed under the GNU General Public license v2.
-
-It includes the framebuffer splash (fbsplash).
-
-    fbsplash (framebuffer splash) splash method support
-    Copyright (C) 2007 Alon Bar-Lev <alon.barlev@gmail.com>
-    This file is released under the GPLv2.
-
-It includes the suspend database management using CVS files
-
-    Rodolfo García <kix@kix.es>
-    Licensed under the GNU General Public license v2.
-
-It includes the vbetool, with the Linux Real Mode Interface. Copyrigth:
-
-    Linux Real Mode Interface - A library of DPMI-like functions for Linux.
-
-    Copyright (C) 1998 by Josh Vanderhoof
-
-    Permission is hereby granted, free of charge, to any person obtaining
-    a copy of this software and associated documentation files (the
-    "Software"), to deal in the Software without restriction, including
-    without limitation the rights to use, copy, modify, merge, publish,
-    distribute, sublicense, and/or sell copies of the Software, and to
-    permit persons to whom the Software is furnished to do so, subject to
-    the following conditions:
-
-    The above copyright notice and this permission notice shall be
-    included in all copies or substantial portions of the Software.
-
-    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-    IN NO EVENT SHALL JOSH VANDERHOOF BE LIABLE FOR ANY CLAIM, DAMAGES OR
-    OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
-    ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
-    OTHER DEALINGS IN THE SOFTWARE.
-
-It includes the vbetool.c. Copyright:
-
-    Run video BIOS code for various purposes
-
-    Copyright Matthew Garrett <mjg59@srcf.ucam.org>, heavily based on
-    vbetest.c from the lrmi package and read-edid.c by John Fremlin
-
-    This program is released under the terms of the GNU General Public License,
-    version 2
-
-It includes the x86emu. Copyright
-
-    Realmode X86 Emulator Library
-    Copyright (C) 1996-1999 SciTech Software, Inc.
-    Copyright (C) David Mosberger-Tang
-    Copyright (C) 1999 Egbert Eich
-  
-    Permission to use, copy, modify, distribute, and sell this software and
-    its documentation for any purpose is hereby granted without fee,
-    provided that the above copyright notice appear in all copies and that
-    both that copyright notice and this permission notice appear in
-    supporting documentation, and that the name of the authors not be used
-    in advertising or publicity pertaining to distribution of the software
-    without specific, written prior permission.  The authors makes no
-    representations about the suitability of this software for any purpose.
-    It is provided "as is" without express or implied warranty.
-  
-    THE AUTHORS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
-    INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
-    EVENT SHALL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
-    CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
-    USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
-    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
-    PERFORMANCE OF THIS SOFTWARE.
-
-And the file lrmi.c
-
-    Linux Real Mode Interface - A library of DPMI-like functions for Linux.
-
-    Copyright (C) 1998 by Josh Vanderhoof
-
-    Permission is hereby granted, free of charge, to any person obtaining
-    a copy of this software and associated documentation files (the
-    "Software"), to deal in the Software without restriction, including
-    without limitation the rights to use, copy, modify, merge, publish,
-    distribute, sublicense, and/or sell copies of the Software, and to
-    permit persons to whom the Software is furnished to do so, subject to
-    the following conditions:
-
-    The above copyright notice and this permission notice shall be
-    included in all copies or substantial portions of the Software.
-
-    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-    IN NO EVENT SHALL JOSH VANDERHOOF BE LIABLE FOR ANY CLAIM, DAMAGES OR
-    OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
-    ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
-    OTHER DEALINGS IN THE SOFTWARE.
-
+Format: http://anonscm.debian.org/viewvc/dep/web/deps/dep5.mdwn?view=co&pathrev=174
+Upstream-Name: suspend-utils
+Upstream-Contact: suspend-devel@lists.sourceforge.net
+Source: http://git.kernel.org/?p=linux/kernel/git/rafael/suspend-utils.git
+
+Files: *
+Copyright: 2005, Rafael J. Wysocki <rjw@sisk.pl>
+           2006, Pavel Machek <pavel@suse.cz>
+           2011, Rafael J. Wysocki <rjw@sisk.pl>
+License: GPL-2+
+
+Files: debian/*
+Copyright: 2006, Tim Dijkstra <tim@famdijkstra.org>
+           2007, Tim Dijkstra <tim@famdijkstra.org>
+           2008, Christian Perrier <bubulle@debian.org>
+           2009, Michael Prokop <mika@debian.org>
+           2011, Rodolfo García Peñas (kix) <kix@kix.es>
+License: GPL-2+
+
+Files: radeontool.c
+Copyright: 2002, Frederick Dean <software@fdd.com>
+           2003, Frederick Dean <software@fdd.com>
+           2004, Frederick Dean <software@fdd.com>
+License: Zlib
+
+Files: vbetool/*
+Copyright: 2006, Matthew Garrett <mjg59@srcf.ucam.org>
+License: GPL-2+
+
+Files: bootsplash.*
+Copyright: 2006, Holger Macht <holger@homac.de>
+License: GPL-2+
+
+Files: dmidecode.c
+Copyright: 2000, Alan Cox <alan@redhat.com>
+           2001, Alan Cox <alan@redhat.com>
+           2001, Matt Domsch <Matt_Domsch@dell.com>
+           2006, Pavel Machek <pavel@suse.cz>
+License: GPL-2+
+
+Files: fbsplash*
+Copyright: 2007, Alon Bar-Lev <alon.barlev@gmail.com>
+License: GPL-2+
+
+Files: wlcsv2c.pl
+Copyright: 2010, Rodolfo García Peñas (kix) <kix@kix.es>
+License: GPL-2+
+
+License: GPL-2+
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
+License: Zlib
+ This software is provided 'as-is', without any express or implied
+ warranty.  In no event will the authors be held liable for any damages
+ arising from the use of this software.
+ .
+ Permission is granted to anyone to use this software for any purpose,
+ including commercial applications, and to alter it and redistribute it
+ freely, subject to the following restrictions:
+ .
+ 1. The origin of this software must not be misrepresented; you must not
+    claim that you wrote the original software. If you use this software
+    in a product, an acknowledgment in the product documentation would be
+    appreciated but is not required.
+ 2. Altered source versions must be plainly marked as such, and must not be
+    misrepresented as being the original software.
+ 3. This notice may not be removed or altered from any source distribution.
diff -Nru uswsusp-1.0/debian/initramfs-tools/hooks/uswsusp uswsusp-1.0+20110509/debian/initramfs-tools/hooks/uswsusp
--- uswsusp-1.0/debian/initramfs-tools/hooks/uswsusp	2011-03-11 23:53:37.000000000 +0100
+++ uswsusp-1.0+20110509/debian/initramfs-tools/hooks/uswsusp	2011-05-11 08:33:41.000000000 +0200
@@ -28,7 +28,7 @@
 # The only obligatory option ..
 RES_DEV=$(sed -rn 's/^resume device[[:space:]]+[:=][[:space:]]+// p' /etc/uswsusp.conf)
 
-if [ -z "$RES_DEV" ] || [ ! -b $RES_DEV ]; then
+if [ -z "$RES_DEV" ] || [ ! -b "$RES_DEV" ]; then
     exit 0;
 fi
 
diff -Nru uswsusp-1.0/debian/manpages uswsusp-1.0+20110509/debian/manpages
--- uswsusp-1.0/debian/manpages	2011-03-11 23:53:37.000000000 +0100
+++ uswsusp-1.0+20110509/debian/manpages	2011-07-14 22:58:01.000000000 +0200
@@ -1,5 +1,5 @@
-s2disk.8
-uswsusp.conf.5
-s2ram.8
-suspend-keygen.8
-swap-offset.8
+debian/s2disk.8
+debian/uswsusp.conf.5
+debian/s2ram.8
+debian/suspend-keygen.8
+debian/swap-offset.8
diff -Nru uswsusp-1.0/debian/patches/series uswsusp-1.0+20110509/debian/patches/series
--- uswsusp-1.0/debian/patches/series	2011-03-11 23:53:37.000000000 +0100
+++ uswsusp-1.0+20110509/debian/patches/series	2011-09-25 19:05:36.000000000 +0200
@@ -1 +1,4 @@
-uswsusp_rename.patch
+01_uswsusp_rename.patch
+02_s2ram_no_vt_switch.patch
+03_s2ram_ppc_force.patch
+04_debian_paths.patch
diff -Nru uswsusp-1.0/debian/README.Debian uswsusp-1.0+20110509/debian/README.Debian
--- uswsusp-1.0/debian/README.Debian	2011-03-11 23:53:37.000000000 +0100
+++ uswsusp-1.0+20110509/debian/README.Debian	2011-05-06 00:09:22.000000000 +0200
@@ -5,12 +5,12 @@
 above. Proper support for s2both on powerpc appeared in version 2.6.22. You 
 will also need a swap partition or file. For swap file support you need kernel 
 version 2.6.20 or above, swapfile in a LVM partition has a bug and is currently
-not working. Finally, you need and an initramfs to start the resume process. If
+not working. Finally, you need an initramfs to start the resume process. If
 you are using initramfs-tools to generate your initramfs you're in luck; this 
 package provides the necessary hooks and scripts to make it happen. 
 
-During install a suitable configuration will be written to /etc/uswsusp.conf
-If your not happy with it you can choose to alter it by hand or by running
+During install a suitable configuration will be written to /etc/uswsusp.conf;
+if you're not happy with it you can choose to alter it by hand or by running
     dpkg-reconfigure uswsusp
 If you change it by hand you should run
     update-initramfs -u 
@@ -21,7 +21,7 @@
 you boot an older kernel. You can set update_initramfs=all in 
 /etc/initramfs-tools/update-initramfs.conf to let it update all initramfses.
 
-NOTE2, if you have both update-initramfs and yaird installed there is a 
+NOTE 2, if you have both update-initramfs and yaird installed there is a 
 possibility that running dpkg-reconfigure won't create an initrd for you.
 You should run update-initramfs by hand (possibly with -t).
 
@@ -34,13 +34,13 @@
 s2both will try to suspend to ram (S3) after making the snapshot. 
 This is a bit more tricky. Usually there are some issues with the graphics
 card, which most of the time can be worked around.
-It will only try suspend to ram if a work around for your system is known 
+It will only try suspend to ram if a workaround for your system is known 
 (or known not to be necessary). You can check if your system is known by
 running 
     s2ram -n
 If it is, you can use s2both. If not you can try and experiment with
 s2ram to find a workaround for your system. Read README.s2ram-whitelist
-for instructions. If you find a work around, please send a report to either
+for instructions. If you find a workaround, please send a report to either
 the debian BTS or directly to the upstream authors.
 
 The uswsusp system supports encrypting the image written to disk. The
@@ -52,13 +52,13 @@
 should be typed as if one has a non-us keymap. This will hopefully be
 fixed soon.
 
-It also supports two splash systems. The one from bootsplash.org and
+It also supports two splash systems, the one from bootsplash.org and
 splashy. The latter is an userspace implementation. For it to work
 you need to install splashy and a splashy theme. Be carefull not to use
 splashy-from-initramfs (not the default) and uswsusp's splash support
 at the same time.
 
-Userspace suspend is designed to be very flexible; If the custom set up 
+Userspace suspend is designed to be very flexible; if the custom setup 
 doesn't suit you it can be extended to your needs. 
 This sofware is very much in its alpha stages and can cause severe 
 data corruption when used wrongly. Please read the README and HOWTO
diff -Nru uswsusp-1.0/debian/rules uswsusp-1.0+20110509/debian/rules
--- uswsusp-1.0/debian/rules	2011-04-30 12:15:23.000000000 +0200
+++ uswsusp-1.0+20110509/debian/rules	2011-11-18 20:14:01.000000000 +0100
@@ -1,21 +1,13 @@
 #!/usr/bin/make -f
 #
 # Copyright 2006 Tim Dijstra <tim@famdijkstra.org>
-#
-# Based on output from dh_make
+# Upgraded by Rodolfo García Peñas (kix) <kix@kix.es>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-MANPAGES=s2disk.8 s2ram.8 swap-offset.8 uswsusp.conf.5 suspend-keygen.8
-
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -27,25 +19,23 @@
 #CFLAGS += `pkg-config --cflags glib-2.0`
 #SPLASHY_LIBS = -L/lib -lsplashy -lgcc_s
 SPLASHY_LIBS = -L/lib -lgcc_s
+DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
+XP=xsltproc -''-nonet
 
-%.5: debian/%.xml
-	docbook2x-man $<
+%:
+	dh $@
 
-%.8: debian/%.xml
-	docbook2x-man $<
-
-config.status:
+override_dh_auto_configure:
 	dh_testdir
-	# Add here commands to configure the package.
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	#./autogen.sh
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr \
+	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) \
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		-prefix=/usr \
 		--sysconfdir=/etc \
 		--localstatedir=/var \
 		--mandir=\$${prefix}/share/man \
@@ -58,71 +48,59 @@
 		--enable-encrypt \
 		CFLAGS="$(CFLAGS)"
 
-build: build-stamp
-
-build-stamp: patch config.status $(MANPAGES)
-	dh_testdir
-
-	# Add here commands to compile the package.
-	$(MAKE)
-
-	chmod 755 debian/initramfs-tools/scripts/local-premount/* \
-			debian/initramfs-tools/hooks/*
-	
-	touch $@
-
-clean: clean-source unpatch
-clean-source:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
-	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f $(MANPAGES)
-	rm -f config.guess config.sub
-
-	#debconf-updatepo
-
-	dh_clean 
+override_dh_clean:
+	dh_clean
+	rm -f config.sub config.guess
 
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
-
-	# Add here commands to install the package into debian/uswsusp.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/uswsusp
+#build-stamp: patch config.status
+#	dh_testdir
+#
+#	# Add here commands to compile the package.
+#	$(MAKE)
+#
+#	chmod 755 debian/initramfs-tools/scripts/local-premount/* \
+#			debian/initramfs-tools/hooks/*
+#	
+#	touch $@
+#
+#clean-source:
+#	dh_testdir
+#	dh_testroot
+#	rm -f build-stamp
+#
+#	# Add here commands to clean up after the build process.
+#	[ ! -f Makefile ] || $(MAKE) distclean
+#
+#	debconf-updatepo
+#
+#	dh_clean 
 
-	# We don't want upstreams config file. 
-	# Remove it here so I don't forget to patch the Makefile
+override_dh_install:
+	dh_install
+#install: build
+#	dh_testdir
+#	dh_testroot
+#	dh_prep
+#	dh_installdirs
+#
+#	# Add here commands to install the package into debian/uswsusp.
+#	$(MAKE) install DESTDIR=$(CURDIR)/debian/uswsusp
+#
+#	# We don't want upstreams config file. 
+#	# Remove it here so I don't forget to patch the Makefile
 	rm -f $(CURDIR)/debian/uswsusp/etc/suspend.conf
 	rm -f $(CURDIR)/debian/uswsusp/usr/share/doc/uswsusp/COPYING*
 	rm -rf $(CURDIR)/debian/uswsusp/dev
 
-# Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
 
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_install
-	dh_installdebconf
-	dh_installman
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb -- -Zbzip2 -z9
+override_dh_auto_build:
+	$(XP) -o debian/ \
+	--param make.year.ranges 1 \
+	--param make.single.year.ranges 1 \
+	--param man.charmap.use.subset 0 \
+	$(DB2MAN) \
+	debian/s2disk.8.xml debian/s2ram.8.xml \
+	debian/swap-offset.8.xml debian/suspend-keygen.8.xml \
+	debian/uswsusp.conf.5.xml
+	dh_auto_build
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
diff -Nru uswsusp-1.0/debian/uswsusp.lintian-overrides uswsusp-1.0+20110509/debian/uswsusp.lintian-overrides
--- uswsusp-1.0/debian/uswsusp.lintian-overrides	1970-01-01 01:00:00.000000000 +0100
+++ uswsusp-1.0+20110509/debian/uswsusp.lintian-overrides	2011-09-25 18:32:36.000000000 +0200
@@ -0,0 +1 @@
+unused-debconf-template
diff -Nru uswsusp-1.0/debian/uswsusp.postinst uswsusp-1.0+20110509/debian/uswsusp.postinst
--- uswsusp-1.0/debian/uswsusp.postinst	2011-03-11 23:53:37.000000000 +0100
+++ uswsusp-1.0+20110509/debian/uswsusp.postinst	2011-09-25 18:01:36.000000000 +0200
@@ -46,15 +46,15 @@
 			# It is permissible for swap to be a regular file, which
 			# is typically not available in a chroot (and this script
 			# needs to work in chroots too).
-			echo "The swapfile $dname could not be found, exiting." > /dev/stdout
+			echo "The swapfile $dname could not be found, exiting." >&1
 			exit 0
 		fi
 		devnode="/dev/"$(awk '$1=='$(($devid>>8))' && $2=='$(($devid&0x00ff))' {print $4}' /proc/partitions)
 
 		# This shouldn't happen that much...
 		if [ ! -b $devnode ]; then
-		    echo "You have a strange /dev layout. " > /dev/stdout
-		    echo "I couldn't find a node with devid $(($devid>>8)):$(($devid&0x00ff))" > /dev/stdout
+		    echo "You have a strange /dev layout." >&1
+		    echo "I couldn't find a node with devid $(($devid>>8)):$(($devid&0x00ff))" >&1
 		    exit 0;
 		fi
 
@@ -63,11 +63,11 @@
 	fi
 
 	if [ ! -f $CONFIGFILE -o ! -s $CONFIGFILE ]; then 
-	    echo "# $CONFIGFILE(8) -- Configuration file for s2disk/s2both " > $CONFIGFILE
+	    echo "# $CONFIGFILE(5) -- Configuration file for s2disk/s2both " > $CONFIGFILE
 	fi
 
 	TMPFILE=`mktemp`
-	cp -a -f $CONFIGFILE $TMPFILE
+	cp -f $CONFIGFILE $TMPFILE
 
 	SEDCMD=""
 	
@@ -98,11 +98,11 @@
 	    else 
 		SEDCMD="$SEDCMD -e '$ a ${I//_/ } = $VAL'"
 	    fi
-		
 	done
 	
 	eval sed $SEDCMD < $CONFIGFILE > $TMPFILE
-	mv -f $TMPFILE $CONFIGFILE
+	eval cat $TMPFILE > $CONFIGFILE
+	eval rm $TMPFILE
 
  	db_get uswsusp/create_RSA_key
 	VAL=$RET
@@ -135,16 +135,19 @@
 		update-initramfs -u;
 	fi
 
-	# Make snapshot device if they chose /dev/snapshot 
+	# Make snapshot device if they choose /dev/snapshot 
 	db_get uswsusp/snapshot_device
 	VAL=$RET
 	if [ -z "$VAL" -a  ! -c /dev/snapshot ] ; then
-		# Until MAKEDEV knows how to make it ... 
-		DEV=`cat /sys/class/misc/snapshot/dev `
-		(cd /dev; ./MAKEDEV snapshot) || mknod /dev/snapshot c ${DEV%:*} ${DEV#*:}
+		if [ -x /dev/MAKEDEV ] ; then
+			# Until MAKEDEV knows how to make it ... 
+			DEV=`cat /sys/class/misc/snapshot/dev `
+			(cd /dev; ./MAKEDEV snapshot) || mknod /dev/snapshot c ${DEV%:*} ${DEV#*:}
+		else
+			echo "The config file is using snapshot device"
+			echo "But /dev/MAKEDEV do not exists!"
+		fi
 	fi
-
-
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
@@ -164,4 +167,3 @@
 
 exit 0
 
-
diff -Nru uswsusp-1.0/debian/watch uswsusp-1.0+20110509/debian/watch
--- uswsusp-1.0/debian/watch	2011-03-11 23:53:37.000000000 +0100
+++ uswsusp-1.0+20110509/debian/watch	2011-09-25 16:19:30.000000000 +0200
@@ -1,20 +1,2 @@
-# Example watch control file for uscan
-# Rename this file to "watch" and then you can run the "uscan" command
-# to check for upstream updates and more.
-# See uscan(1) for format
-
-# Compulsory line, this is a version 3 file
 version=3
-
-# Uncomment to examine a Webpage 
-# <Webpage URL> <string match>
-#http://www.example.com/downloads.php suspend-(.*)\.tar\.gz
-
-# Uncomment to examine a Webserver directory
-#http://www.example.com/pub/suspend-(.*)\.tar\.gz
-
-# Uncommment to examine a FTP server
-#ftp://ftp.example.com/pub/suspend-(.*)\.tar\.gz debian uupdate
-
-# Uncomment to find new files on sourceforge, for debscripts >= 2.9
 http://sf.net/suspend/suspend-(.*)\.tar\.gz
